import 'dart:convert';

import 'package:http/http.dart' as http;
import 'package:http/http.dart';
import 'package:payment_processors/culqi_exception.dart';

import 'culqi_token_response.dart';

class CulqiRequest {
  static const CULQI_TOKEN_URL = "https://secure.culqi.com/v2/tokens";
  static Future<CulqiTokenResponse> getCulqiToken(
      http.Client client, Map<String, dynamic> body) async {
    Map<String, String> headers = {
      "Content-type": "application/json",
      "Authorization": "Bearer pk_test_5b455fdb2360787e"
    };
    Response response =
        await client.post(CULQI_TOKEN_URL, headers: headers, body: body);

    if (response.statusCode == 200) {
      return CulqiTokenResponse.fromJson(jsonDecode(response.body));
    } else {
      throw CulqiException(message: "No es 200");
    }
  }
}
